Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmc
Class OtherMsg

    java.lang.Object
      org.mozilla.jss.pkix.cmc.OtherMsg

All Implemented Interfaces:
  ASN1Value

    public class OtherMsg

extends java.lang.Object
implements ASN1Value

CMC OtherMsg.

     The definition of OtherMsg comes from RFC 2797.
     OtherMsg ::= SEQUENCE {
          bodyPartID      BodyPartID,
          otherMsgType    Object Identifier,
          otherMsgValue   ANY defined by otherMsgType}

Nested Class Summary
`static class` | `OtherMsg.Template` A Template for decoding a `OtherMsg`.

Constructor Summary
`OtherMsg(INTEGER bodyPartID, OBJECT_IDENTIFIER otherMsgType, ANY otherMsgValue)` Constructs a new `OtherMsg` from its components.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`INTEGER` | `getBodyPartID()` Returns the `bodyPartID` field.
`OBJECT_IDENTIFIER` | `getOtherMsgType()` Returns the `otherMsgType` field.
`ANY` | `getOtherMsgValue()` Returns the `otherMsgValue` field.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static OtherMsg.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtherMsg

    public OtherMsg(INTEGER bodyPartID,
                    OBJECT_IDENTIFIER otherMsgType,
                    ANY otherMsgValue)

  Constructs a new `OtherMsg` from its components.

Method Detail

### getBodyPartID

    public INTEGER getBodyPartID()

  Returns the `bodyPartID` field.

### getOtherMsgType

    public OBJECT_IDENTIFIER getOtherMsgType()

  Returns the `otherMsgType` field.

### getOtherMsgValue

    public ANY getOtherMsgValue()

  Returns the `otherMsgValue` field.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
  Throws:
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
  Throws:
    `java.io.IOException`

### getTemplate

    public static OtherMsg.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD